commit:     d7613da9875496b2be11825fd8507f81572be230
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Jan 29 19:30:57 2022 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Jan 29 19:32:13 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d7613da9

xfce-extra/xfce4-cpufreq-plugin: Bump to 1.2.6

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 xfce-extra/xfce4-cpufreq-plugin/Manifest           |  1 +
 .../xfce4-cpufreq-plugin-1.2.6.ebuild              | 38 ++++++++++++++++++++++
 2 files changed, 39 insertions(+)

diff --git a/xfce-extra/xfce4-cpufreq-plugin/Manifest 
b/xfce-extra/xfce4-cpufreq-plugin/Manifest
index 3aa88a8d5f5f..b88ebae6c32c 100644
--- a/xfce-extra/xfce4-cpufreq-plugin/Manifest
+++ b/xfce-extra/xfce4-cpufreq-plugin/Manifest
@@ -1 +1,2 @@
 DIST xfce4-cpufreq-plugin-1.2.5.tar.bz2 424858 BLAKE2B 
2d93e9f3e591cb3f97289b3a449e4a3494a4bcefe97ad481ab46d0c1b749a85b068cc8e6ecad5ed0d591516cf996d7ab901cf21bcfbb63c28f5b28f4e7e01a3e
 SHA512 
4a098861875f2a413e8d3778e4eef709f00efc87d9cd76ddab22462653ec21f4b8756c421e3f0726c56f151f0e637e27d2c80c4b09ab8ecb419e00bb108d3b80
+DIST xfce4-cpufreq-plugin-1.2.6.tar.bz2 445529 BLAKE2B 
e24db07de628983140da96d5218dbbde7c0d05ae9b9bee82e969b796018d5cbc40d438e18b638830179b9916d3ffc0088a44beaaef89a2efec22309491d9f7ac
 SHA512 
11c407e9397a42120d97e1dce34e484d4ffcd10b768b28f11e797d8bbcb29fa5f635595f5165aff2954593f209b8e1de8fde377c3b76e8a0434f4fd63affcef3

diff --git a/xfce-extra/xfce4-cpufreq-plugin/xfce4-cpufreq-plugin-1.2.6.ebuild 
b/xfce-extra/xfce4-cpufreq-plugin/xfce4-cpufreq-plugin-1.2.6.ebuild
new file mode 100644
index 000000000000..2e1ad90e5a2f
--- /dev/null
+++ b/xfce-extra/xfce4-cpufreq-plugin/xfce4-cpufreq-plugin-1.2.6.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit xdg-utils
+
+DESCRIPTION="A panel plugin for showing information about cpufreq settings"
+HOMEPAGE="https://goodies.xfce.org/projects/panel-plugins/xfce4-cpufreq-plugin";
+SRC_URI="https://archive.xfce.org/src/panel-plugins/${PN}/${PV%.*}/${P}.tar.bz2";
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86"
+
+RDEPEND=">=dev-libs/glib-2.20:=
+       >=x11-libs/gtk+-3.20:3=
+       >=xfce-base/libxfce4ui-4.14:=
+       >=xfce-base/libxfce4util-4.14:=
+       >=xfce-base/xfce4-panel-4.14:="
+DEPEND="${RDEPEND}"
+BDEPEND="
+       dev-util/intltool
+       sys-devel/gettext
+       virtual/pkgconfig"
+
+src_install() {
+       default
+       find "${D}" -name '*.la' -delete || die
+}
+
+pkg_postinst() {
+       xdg_icon_cache_update
+}
+
+pkg_postrm() {
+       xdg_icon_cache_update
+}

Reply via email to